uniform mat4 uMVPMatrix;
uniform mat4 mPart;
attribute vec4 aPosition;
attribute vec4 aTextureCoord;
varying vec2 vTextureCoord;
uniform int partTypeVertex;

void main() {
    gl_Position = uMVPMatrix * aPosition;

    if(partTypeVertex  == 1)
    {
        vTextureCoord = vec2(mPart * aTextureCoord) ;
    }
    else if(partTypeVertex == 2)
    {
        vTextureCoord = vec2(mPart * aTextureCoord) + vec2(0.5, 0);
    }
    else if(partTypeVertex == 3)
    {
        vTextureCoord = vec2(mPart * aTextureCoord);
    }
    else if(partTypeVertex == 4)
    {
        vTextureCoord = vec2(mPart * aTextureCoord) + vec2(0, 0.5);
    }
    else
    {
  	    vTextureCoord = (aTextureCoord).xy;
  	}

}